/**
*
* Name		drmkdir -- Create a subdirectory
*
* Synopsis	ercode = drmkdir(pdir_name);
*
*		int  ercode	  Returned DOS function error code
*		char *pdir_name   Path name of the subdirectory to create
*
* Description	DRMKDIR creates a subdirectory using the specified path
*		name.  If any member of the path does not exist, the
*		subdirectory is not created (and a nonzero error code is
*		returned).
*
* Returns	ercode		  DOS function return error code
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bdirect.h>
#include <butility.h>

int drmkdir(pdir_name)
char *pdir_name;
{
    DOSREG dos_reg;
    ADS    dir_ads;

    dos_reg.ax = 0x3900;	      /* DOS function 0x39	      */
    utabsptr(pdir_name,&dir_ads);
    dos_reg.ds = dir_ads.s;
    dos_reg.dx = dir_ads.r;

    return(dos(&dos_reg));
}
