/**
*
* Name		drretdrv -- Return the default disk drive
*
* Synopsis	def_drive = drretdrv();
*
*		int def_drive	  The default disk drive number
*
* Description	DRRETDRV returns the current default disk drive number.
*		The values are 0 = A:, 1 = B:, etc.
*
* Returns	def_drive	  The disk drive number
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bdirect.h>
#include <butility.h>

int drretdrv()
{
    DOSREG dos_reg;

    dos_reg.ax = 0x1900;	      /* DOS function 0x19	      */
    dos(&dos_reg);

    return (int) utlobyte(dos_reg.ax);
}
