/**
*
* Name		flclose -- Close a file
*
* Synopsis	ercode = flclose(handle);
*
*		int  ercode	  Returned DOS error code
*		int  handle	  Handle of file to close
*
* Description	FLCLOSE closes the file associated with the specified
*		file handle.  All pending I/O is completed.  Unexpected
*		results may occur if one of the reserved file handles (0
*		through 4) is closed.
*
* Returns	ercode		  DOS function error return code
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bfile.h>

int flclose(handle)
int handle;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x3e00;	      /* Function 0x3E		      */
    dos_reg.bx = handle;

    return(dos(&dos_reg));
}
