/**
*
* Name		flretdta -- Return the Disk Transfer Area (DTA) location
*
* Synopsis	ercode = flretdta(pdta_ads);
*
*		int ercode	  DOS function return code
*		ADS *pdta_ads	  Segment, offset address for the DTA
*
* Description	This function stores the address of the current Disk
*		Transfer Area (DTA) in the structure pointed to by
*		pdta_ads.
*
*		(The DTA is used as a data area by many DOS functions.
*		Some functions (see DRSFIRST and DRSNEXT) use it for
*		communicating information between function calls.  Use
*		FLSETDTA to set the DTA.)
*
* Returns	ercode		  DOS function return code (always 0).
*		(pdta_ads	  Current segment and offset of the DTA
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bfile.h>

int flretdta(pdta_ads)
ADS *pdta_ads;
{
    DOSREG dos_reg;
    int    ercode;

    dos_reg.ax	= 0x2f00;
    ercode	= dos(&dos_reg);
    pdta_ads->s = dos_reg.es;
    pdta_ads->r = dos_reg.bx;

    return(ercode);
}
