/**
*
* Name		flsetdta -- Set the Disk Transfer Area (DTA) location
*
* Synopsis	ercode = flsetdta(pdta_ads);
*
*		int ercode	  DOS function return code
*		ADS *pdta_ads	  Segment, offset address for the DTA
*
* Description	This function sets the Disk Transfer Area (DTA) to the
*		location specified in the ADS structure pointed to by
*		pdta_ads.
*
*		(The DTA is used as a data area by many DOS functions.
*		Some functions (see DRSFIRST and DRSNEXT) use it for
*		communicating information between function calls.  Use
*		FLRETDTA to obtain the address of the current DTA.)
*
* Returns	ercode		  DOS function return code (always 0).
*
* Version	3.0    (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bfile.h>

int flsetdta(pdta_ads)
ADS *pdta_ads;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x1a00;	      /* DOS function 0x1A	      */
    dos_reg.ds = pdta_ads->s;
    dos_reg.dx = pdta_ads->r;

    return(dos(&dos_reg));
}
