/**
*
* Name		grptwrit -- Write a "colored" dot at a specified position
*
* Synopsis	iret = grptwrit(ppos,color);
*
*		int iret	  0 is always returned.
*		PT  *ppos	  The point to plot.
*		int color	  The color (0, 1, 2, or 3) from the defined
*				  palette to use for the plotted point.
*				  0 is the background color and adding
*				  128 "XORs" the value to the current
*				  color of the position.
*
* Description	GRPTWRIT just plots the specified point on the current
*		display page using the specified color.  The coordinates
*		are wrapped to be in the physical screen.
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1983, 1984, 1986
*
**/

#include <bgraph.h>
#include <bscreen.h>

int grptwrit(ppos,color)
PT  *ppos;
int color;
{
    int ax,bx,cx,dx,flags;

    ax = utbyword(12,color);
    bx = utbyword(b_curpage,0);
    cx = ppos->x % b_maxx;
    dx = ppos->y % b_maxy;
    bios(16,&ax,&bx,&cx,&dx,&flags);

    return(0);
}
