/**
*
* Name		grrmove -- Relative move
*
* Synopsis	npts = grrmove(deltax,deltay,color);
*
*		int npts	  Number of points plotted
*		int deltax	  Increment on the X (horizontal) axis
*		int deltay	  Increment on the Y (vertical) axix
*		int color	  Color of the line
*
* Description	This function draws a line using the specified color
*		from the home position to the position whose offset from
*		the home position is given by (deltax,deltay).	The line
*		is drawn on the current display page.  The home position
*		is set to the last point plotted.
*
* Returns	npts		  The number of points plotted to draw
*				  the line
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1983, 1986
*
**/

#include <bgraph.h>

int grrmove(deltax,deltay,color)
int deltax,deltay,color;
{
    PT	epos;
    int npts;

    epos.x = b_home.x + deltax;
    epos.y = b_home.y + deltay;

    npts   = grline(&b_home,&epos,color);
    b_home.x = epos.x;
    b_home.y = epos.y;

    return(npts);
}
