/**
*
* Name		mmfree -- Release an allocated memory block
*		(Formerly called PCFREE.)
*
* Synopsis	ercode = mmfree(seg);
*
*		int ercode	  Returned error code
*		unsigned seg	  Segment address of memory block
*
* Description	This function frees memory blocks which have been
*		allocated by the MMALLOC function.  The segment address
*		given must be associated with a previously allocated
*		block.
*
* Returns	ercode		  DOS function return code
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bmemory.h>
#include <butility.h>

int mmfree(seg)
unsigned seg;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x4900;	      /* DOS function 0x49h	      */
    dos_reg.es = seg;

    return(dos(&dos_reg));
}
