/**
*
* Name		qydosver -- Return the DOS version number
*
* Synopsis	ver = qydosver(pminor);
*
*		int ver 	  The returned DOS version number
*		int *pminor	  The minor (point) release number
*
* Description	QYDOSVER returns the major DOS version number as the
*		function value and the point release in the variable
*		specified in pminor.  If the value of the function is 0,
*		the version of DOS running is before version 2.00.
*
* Returns	ver		  The major DOS version number
*		pminor		  The minor DOS version number
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bquery.h>

int qydosver(pminor)
int *pminor;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x3000;      /* DOS function 30h		      */
    dos(&dos_reg);
    *pminor = uthibyte(dos_reg.ax);

    return((int)(utlobyte(dos_reg.ax)));
}
