/**
*
* Name		qyretdat -- Return the system date
*
* Synopsis	ret = qyretdat(pyear,pmonth,pday);
*
*		int ret 	  The returned value is always 0.
*		int *pyear	  The year (1980 - 2099)
*		int *pmonth	  The month (1 - 12)
*		int *pday	  The day (1 - 31)
*
* Description	The system date is returned in the variables specified.
*		The value 0 is always returned as the functional value.
*
*		Use STSDATE to return the system date as a character
*		string as well as as numbers.
*
* Returns	ret		  The returned value is always 0.
*		*pyear		  The year (1980 - 2099)
*		*pmonth 	  The month (1 - 12)
*		*pday		  The day (1 - 31)
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bquery.h>

int qyretdat(pyear,pmonth,pday)
int *pyear,*pmonth,*pday;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x2a00;
    dos(&dos_reg);
    *pyear  = dos_reg.cx;
    *pmonth = uthibyte(dos_reg.dx);
    *pday   = utlobyte(dos_reg.dx);

    return(0);
}
