/**
*
* Name		qyrettim -- Return the system time
*
* Synopsis	qyrettim(phours,pmins,psecs,phunds);
*
*		int ret 	  The returned value is always 0.
*		int *phours	  The hour (0 - 23)
*		int *pmins	  The minutes (0 - 59)
*		int *psecs	  The seconds (0 - 59)
*		int *phunds	  The hundredths of seconds (0 - 99)
*
* Description	The system time is returned in the variables specified.
*		The value 0 is always returned as the functional value.
*
*		Use STSTIME to return the system time as a character
*		string as well as as numbers.
*
* Returns	ret		  The returned value is always 0.
*		*phours 	  The hour (0 - 23)
*		*pmins		  The minutes (0 - 59)
*		*psecs		  The seconds (0 - 59)
*		*phunds 	  The hundredths of seconds (0 - 99)
*
* Version	3.0  (C)Copyright Blaise Computing Inc.  1983, 1984, 1986
*
**/

#include <bquery.h>

int qyrettim(phours,pmins,psecs,phunds)
int *phours,*pmins,*psecs,*phunds;
{
    DOSREG dos_reg;

    dos_reg.ax = 0x2c00;	      /* DOS function 0x2C	      */
    dos(&dos_reg);
    *phours = uthibyte(dos_reg.cx);
    *pmins  = utlobyte(dos_reg.cx);
    *psecs  = uthibyte(dos_reg.dx);
    *phunds = utlobyte(dos_reg.dx);

    return(0);
}
