/**
*
* Name		sccurpos -- Returns the cursor position for the current
*		    display page.
*
* Synopsis	cpos = sccurpos(prow,pcol);
*
*		int cpos	  Returned position (row,col)
*		int *prow	  Pointer to row value returned
*		int *pcol	  Pointer to column value returned
*
* Description	SCCURPOS returns the current cursor location on the
*		current display page.
*
* Returns	cpos		  The cursor position with the row
*				  in the high order byte and the column
*				  in the low order byte.
*		*prow,*pcol
*
* Version	3.0 (C)Copyright Blaise Computing Inc. 1983, 1984, 1986
*
**/

#include <bscreen.h>

int sccurpos(prow,pcol)
int *prow,*pcol;
{
   int ax,bx,cx,dx,flags;	       /* General registers	       */

   ax  = utbyword(3,0); 	       /* Set up the call to the BIOS  */
   bx  = utbyword(b_curpage,0);

   bios(16,&ax,&bx,&cx,&dx,&flags);

   *prow = uthibyte(dx);
   *pcol = utlobyte(dx);

   return(utbyword(*prow,*pcol));
}
