/**
*
* Name		sccurset -- Set the cursor position on the current
*			    display page.
*
* Synopsis	cpos = sccurset(row,col);
*
*		int cpos;	  Return position (row,col)
*		int row;	  row position
*		int col;	  column position
*
* Description	SCCURSET sets the cursor to the position specified by
*		row and col on the current page.  The current page must
*		be the same as the active display page (i.e., currently
*		displayed) for the cursor to be seen to move.
*
* Returns	cpos		  The cursor position with the row
*				  in the high order byte and the column
*				  in the low order byte.
*
* Version	3.0 (C)Copyright Blaise Computing Inc. 1983, 1984, 1986
*
**/

#include <bscreen.h>

int sccurset(row,col)
int row,col;
{
   int ax,bx,cx,dx,flags;	      /* General registers	      */
   int mode,columns,act_page;

   scmode(&mode,&columns,&act_page);
   utbound(row,0,scrows() - 1)	      /* Force reasonable values      */
   utbound(col,0,columns-1)

   ax  = utbyword(2,0); 	      /* Set up call to the BIOS      */
   bx  = utbyword(b_curpage,0);
   dx  = utbyword(row,col);

   bios(16,&ax,&bx,&cx,&dx,&flags);

   return(utbyword(row,col));
}
