/**
*
* Name		scdspmsg -- Display a message at a specified position
*			    with given display attributes
*
* Synopsis	nchar = scdspmsg(row,col,fore,back,pmsg);
*
*		int  nchar	  Number of characters displayed.
*		int  row,col	  Position of the message.
*		int  fore,back	  Display attributes.
*		char *pmsg	  Message to be displayed.
*
* Description	SCDSPMSG displays a message using the fore and back
*		display attributes at the specified position.  The
*		cursor is not moved.  The message is displayed on the
*		current display page (see SCPAGE), which is not
*		necessarily active (visible).
*
* Returns	nchar		  Number of characters displayed
*
* Version	3.0  (C)Copyright Blaise Computing Inc. 1983, 1984, 1985
*
**/

#include <bscreen.h>

int scdspmsg(row,col,fore,back,pmsg)
int row,col,fore,back;
char *pmsg;
{
    return scwrbuf(row,col,0,pmsg,fore,back,CHARS_ONLY + NO_MOVE_CUR);
}
