/**
*
* Name		scpage -- Set the current display page
*
* Synopsis	cur_page = scpage(page);
*
*		int cur_page	  The current display page actually set
*		int page	  The display page number to set as the
*				  current page.
*
* Description	This function sets the global variable b_curpage to the
*		current display page.  b_curpage is declared in
*		BSCREEN.H and specifies the display page to be used by C
*		TOOLS PLUS screen functions.  This page need not be
*		active, i.e., currently displayed.
*
*		The current mode and device are checked so that an
*		illegal page is not set.
*
*		Use SCACTPG or SCAPAGE to display any given page.  Use
*		SCNEWDEV and SCCHGDEV to direct C TOOLS PLUS screen
*		output to a given device.
*
* Returns	cur_page	  The current page upon exit
*		b_curpage  (global variable declared in BSCREEN.H)
*				  The current page upon exit
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1983, 1984, 1986
*
**/

#include <bscreen.h>

int b_curpage = 0;		      /* Initially set to zero	      */

int scpage(page)
int page;
{
    b_curpage = page;
    utbound(b_curpage,0,scpages() - 1)

    return(b_curpage);
}
