/**
*
* Name		scpclr -- Clear current display page
*
* Synopsis	scpclr();
*
* Description	This function clears the current display page (as
*		recorded in b_curpage) whether it is active or not.
*
*		Use SCCLEAR to clear the active display page.
*
* Returns	(None:	function return type is void.)
*
* Version	3.0  (C)Copyright Blaise Computing Inc. 1986
*
**/

#include <bscreen.h>

void scpclr()
{
    int mode,cols,act_page;
    int save_row,save_col;

    scmode(&mode,&cols,&act_page);

    sccurpos(&save_row,&save_col);    /* Save cursor location	      */
    sccurset(0,0);

				      /* Use foreground attribute     */
				      /*   0 in graphics mode,	      */
				      /*   7 in text mode.	      */
    scattrib(((mode > 3 && mode != 7) ? 0 : WHITE),
	     BLACK,
	     (char) ' ',
	     cols * scrows());	      /* Size of screen 	      */

    sccurset(save_row,save_col);      /* Restore cursor location      */
}
