/**
*
* Name		screset -- Reset video adapter to a given mode.
*
* Synopsis	new_mode = screset(mode);
*
*		int new_mode	  The screen mode actually set,
*				  or -1 if requested mode is not
*				  supported by installed hardware.
*		int mode	  The mode to select.
*
* Description	SCRESET selects a video adapter for future I/O and
*		resets it to a given mode.  This includes testing for
*		the presence of the proper device, clearing the screen,
*		filling the screen with foreground attribute 7 and
*		background attribute 0, setting the BIOS equipment word,
*		and setting the global variables b_device and b_curpage
*		to indicate page 0 on the new device.
*
*		See SCNEWDEV.C for the permitted mode values.  If the
*		specified mode is not supported by the installed
*		equipment, then no reset occurs and -1 is returned.
*
*		On the Enhanced Graphics Adapter, SCRESET will only
*		select a standard 25-line font.  Use SCNEWDEV to select a
*		43-line font.  Use SCCHGDEV to switch devices without
*		clearing screens or resetting adapters.
*
* Returns	ercode		  The screen mode actually set,
*				  or -1 if requested mode is not
*				  supported by installed hardware.
*
* Version	3.0 (C)Copyright Blaise Computing Inc.	1986
*
**/

#include <bscreen.h>

int screset(mode)
int mode;
{
    return scnewdev(mode,25);
}
